Package org.springframework.security.web.webauthn.api

# Class ResidentKeyRequirement

java.lang.Object
org.springframework.security.web.webauthn.api.ResidentKeyRequirement

public final class ResidentKeyRequirement extends Object
The ResidentKeyRequirement describes the Relying Partys requirements for client-side discoverable credentials.

Since:
  6.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResidentKeyRequirement`
`DISCOURAGED`
The discouraged requirement indicates that the Relying Party prefers creating a server-side credential, but will accept a client-side discoverable credential.
`static final ResidentKeyRequirement`
`PREFERRED`
The preferred requirement indicates that the Relying Party strongly prefers creating a client-side discoverable credential, but will accept a server-side credential.
`static final ResidentKeyRequirement`
`REQUIRED`
The required value indicates that the Relying Party requires a client-side discoverable credential.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Gets the value.
`static ResidentKeyRequirement`
`valueOf(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DISCOURAGED

public static final ResidentKeyRequirement DISCOURAGED
The discouraged requirement indicates that the Relying Party prefers creating a server-side credential, but will accept a client-side discoverable credential.

### PREFERRED

public static final ResidentKeyRequirement PREFERRED
The preferred requirement indicates that the Relying Party strongly prefers creating a client-side discoverable credential, but will accept a server-side credential.

### REQUIRED

public static final ResidentKeyRequirement REQUIRED
The required value indicates that the Relying Party requires a client-side discoverable credential.

## Method Details

### getValue

public String getValue()
Gets the value.

Returns:
  the value

### valueOf

public static ResidentKeyRequirement valueOf(String value)